ATA_FORCE_LINK_LIMIT(9)

NAME
ata_force_link_limits - force link limits according to libata.force

SYNOPSIS

void ata_force_link_limits(struct ata_link * link);

ARGUMENTS

link
    ATA link of interest

DESCRIPTION

Force link flags and SATA spd limit according to libata.force and whine about it. When only the port part is specified (e.g. 1:), the limit applies to all links connected to both the host link and all fan-out ports connected via PMP. If the device part is specified as 0 (e.g. 1.00:), it specifies the first fan-out link not the host link. Device number 15 always points to the host link whether PMP is attached or not. If the controller has slave link, device number 16 points to it.

LOCKING

EH context.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT